### File

`src/app/app.component.ts`

### Description

The main component

### Metadata

selector | `app-root`
styleUrls | `./app.component.css`
templateUrl | `./app.component.html`

### Index

###### Methods

- Public getOrganizations
- Public getProperty
- Public openSomeDialog

### Methods

Public getOrganizations
`getOrganizations()`
Defined in src/app/app.component.ts:12
Returns : `Observable<Todo[]>`

Public getProperty
`getProperty(obj: T, key: K)`
Defined in src/app/app.component.ts:16

Type parameters :

- T
- K

Parameters :

Name | Type | Optional
obj | `T` | No
key | `K` | No

Returns : `T[K]`

Public openSomeDialog
`openSomeDialog(model, grid, callback: () => void)`
Defined in src/app/app.component.ts:20

Parameters :

Name | Type | Optional
model |  | No
grid |  | No
callback | `function` | No

Returns : `void`

    import { Component } from '@angular/core';

    /**
     * The main component
     */
    @Component({
        selector: 'app-root',
        templateUrl: './app.component.html',
        styleUrls: ['./app.component.css']
    })
    export class AppComponent {
        public getOrganizations(): Observable<Todo[]> {
            console.log('yo');
        }

        public getProperty<T, K extends keyof T>(obj: T, key: K) {
            return obj[key];
        }

        public openSomeDialog(model, grid, callback: ({ index }) => {}): void {}
    }

    <router-outlet></router-outlet>

    <p class="info links">
        <a routerLink="/" routerLinkActive="active">Home</a>
        &nbsp;|&nbsp;
        <a routerLink="/about" routerLinkActive="active">About</a>
    </p>

`./app.component.css`

    .links a {
        font-size: 14px;
    }

Legend
Html element
Component
Html element with directive

# results matching ""

# No results matching ""